Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class BindingInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractDescriptionElement
              org.apache.cxf.service.model.BindingInfo

All Implemented Interfaces:
  Extensible

    public class BindingInfo

extends AbstractDescriptionElement

Constructor Summary
`BindingInfo(ServiceInfo service, java.lang.String bindingId)`

Method Summary
`void` | `addOperation(BindingOperationInfo operation)` Adds an operation to this service.
`BindingOperationInfo` | `buildOperation(javax.xml.namespace.QName opName, java.lang.String inName, java.lang.String outName)`
`java.lang.String` | `getBindingId()`
`InterfaceInfo` | `getInterface()`
`javax.xml.namespace.QName` | `getName()`
`BindingOperationInfo` | `getOperation(OperationInfo oi)`
`BindingOperationInfo` | `getOperation(javax.xml.namespace.QName oname)` Returns the operation info with the given name, if found.
`java.util.Collection<BindingOperationInfo>` | `getOperations()` Returns all operations for this service.
`ServiceInfo` | `getService()`
`void` | `removeOperation(BindingOperationInfo operation)` Removes an operation from this service.
`void` | `setName(javax.xml.namespace.QName n)`

Methods inherited from class org.apache.cxf.service.model.AbstractDescriptionElement
`getDescription, setDescription`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingInfo

    public BindingInfo(ServiceInfo service,
                       java.lang.String bindingId)

Method Detail

### getInterface

    public InterfaceInfo getInterface()

### getService

    public ServiceInfo getService()

### getBindingId

    public java.lang.String getBindingId()

### setName

    public void setName(javax.xml.namespace.QName n)

### getName

    public javax.xml.namespace.QName getName()

### buildOperation

    public BindingOperationInfo buildOperation(javax.xml.namespace.QName opName,
                                               java.lang.String inName,
                                               java.lang.String outName)

### addOperation

    public void addOperation(BindingOperationInfo operation)

  Adds an operation to this service.

  Parameters:
    `operation` - the operation.

### removeOperation

    public void removeOperation(BindingOperationInfo operation)

  Removes an operation from this service.

  Parameters:
    `operation` - the operation.

### getOperation

    public BindingOperationInfo getOperation(javax.xml.namespace.QName oname)

  Returns the operation info with the given name, if found.

  Parameters:
    `oname` - the name.
  Returns:
    the operation; or `null` if not found.

### getOperations

    public java.util.Collection<BindingOperationInfo> getOperations()

  Returns all operations for this service.

  Returns:
    all operations.

### getOperation

    public BindingOperationInfo getOperation(OperationInfo oi)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.